Search Results for

Show / Hide Table of Contents

# Class AdUnitDataExtensions

Extensions for AdUnitData.

##### Inheritance

object
AdUnitDataExtensions

##### Inherited Members

object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Api.dll

##### Syntax

    public static class AdUnitDataExtensions

### Methods

#### BuildAdLoader(AdUnitData)

Uses a data from `adUnitData` to build a loader for native ad.

##### Declaration

    public static INativeAdLoader BuildAdLoader(this AdUnitData adUnitData)

##### Parameters

Type | Name | Description
--- | --- | ---
AdUnitData | adUnitData | Serializable data container with native ad request settings to build loader for.

##### Returns

Type | Description
--- | ---
INativeAdLoader | Built INativeAdLoader.